#include <bits/stdc++.h>

#pragma GCC optimize(-Ofast)

using namespace std;

typedef long long ll;

inline /*__fastcall*/ void solve();

ll g_case_count = 1;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cout.setf(ios::fixed);
    cout.precision(10);

    ll case_count = 1;
    cin >> case_count;
    g_case_count = case_count;
    while (case_count--)
        solve();
}


// -----
ll n, m;
vector<ll> pref_n;
vector<ll> pref_m;

inline /*__fastcall*/ auto fn(ll x) -> ll {
//        cout << "fn(" << x + 1 << ") = " << pref_n[n] - 2 * pref_n[x] << endl;
    return abs(pref_n[n] - 2 * pref_n[x]);
};

inline /*__fastcall*/ auto fm(ll y) -> ll {
//        cout << "fm(" << y + 1 << ") = " << pref_m[m] - 2 * pref_m[y] << endl;
    return abs(pref_m[m] - 2 * pref_m[y]);
};

void solve() {
    cin >> n >> m;
    pref_n.clear();
    pref_n.resize(n + 1);
    pref_m.clear();
    pref_m.resize(m + 1);

    pref_n[0] = 0;
    for (int i = 1; i <= n; ++i) {
        ll cell = (i - 1) * m + 1;
        pref_n[i] = pref_n[i - 1] + (m * (2 * cell + m - 1)) / 2;
    }

    pref_m[0] = 0;
    for (int j = 1; j <= m; ++j) {
        ll cell = j;
        pref_m[j] = pref_m[j - 1] + (n * (2 * cell + (n - 1) * m)) / 2;
    }

//    asm("int3");


    ll L = -1, R = n + 1;
    ll M1 = 0, M2 = n;
    while (R - L > 2) {
        M1 = L + (R - L) * 1 / 3;
        M2 = L + (R - L) * 2 / 3;
        if (fn(M1) > fn(M2)) {
            // не на LM1
            L = M1;
        } else {
            // не на M2R
            R = M2;
        }
    }
    ll ansn = (fn(M1) <= fn(M2) ? M1 : M2);

    L = -1, R = m + 1;
    M1 = 0, M2 = m;
    while (R - L > 2) {
//        cout << "L = " << L << ", R = " << R << endl;
        M1 = L + (R - L) * 1 / 3;
        M2 = L + (R - L) * 2 / 3;
        if (fm(M1) > fm(M2)) {
            // не на LM1
            L = M1;
        } else {
            // не на M2R
            R = M2;
        }
    }
    ll ansm = (fm(M1) <= fm(M2) ? M1 : M2);

    if (fn(ansn) < fm(ansm)) {
        cout << "H " << ansn + 1 << endl;
    } else { // >=
        cout << "V " << ansm + 1 << endl;
    }
}