#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

inline /*__fastcall*/ void solve();

ll g_case_count = 1;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cout.setf(ios::fixed);
    cout.precision(10);

    ll case_count = 1;
//    cin >> case_count;
    g_case_count = case_count;
    while (case_count--)
        solve();
}


// -----

struct Segment {
    ll size = 0;
    vector<ll> ps;
};

void solve() {
    ll n;
    cin >> n;
    vector<Segment> v(n);
    for (int i = 0; i < n; ++i) {
        ll s;
        cin >> s;
        cin >> v[i].size;
        v[i].ps.resize(s);
        for (int j = 0; j < s; ++j) {
            cin >> v[i].ps[j];
        }
        sort(v[i].ps.begin(), v[i].ps.end());
    }

    vector<ll> ind(n);
    for (int i = 0; i < n; ++i) {
        ind[i] = i;
    }

    do {
        ll offset = 0;
        vector<ll> psv;
        for (auto i: ind) {
            for (auto p: v[i].ps) {
                psv.push_back(offset + p);
            }

            offset += v[i].size;
        }

        bool ok = false;
        if (psv.size() < 2) {
            ok = true;
        } else {
            ll dist = psv[1] - psv[0];
            bool ok2 = true;
            for (ll i = 1; i < psv.size(); ++i) {
                if (psv[i] - psv[i - 1] != dist) {
                    ok2 = false;
                    break;
                }
            }
            ok = ok2;
        }

        if (ok) {
            cout << "Yes" << endl;
            for (auto i: ind) {
                cout << i + 1 << ' ';
            }
            cout << endl;
            return;
        }
    } while (next_permutation(ind.begin(), ind.end()));
}