#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

inline /*__fastcall*/ void solve();

ll g_case_count = 1;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cout.setf(ios::fixed);
    cout.precision(10);

    ll case_count = 1;
//    cin >> case_count;
    g_case_count = case_count;
    while (case_count--)
        solve();
}


// -----

struct Segment {
    ll size = 0;
    vector<ll> ps;
};

void solve() {
    ll n;
    cin >> n;
    vector<Segment> v(n);
    ll known_dist = 0;
    ll sigma = 0;
    for (int i = 0; i < n; ++i) {
        ll s;
        cin >> s;
        cin >> v[i].size;
        v[i].ps.resize(s);
        for (int j = 0; j < s; ++j) {
            cin >> v[i].ps[j];
        }
        sort(v[i].ps.begin(), v[i].ps.end());
        sigma += s;
        if (s > 1) {
            if (known_dist and v[i].ps[1] - v[i].ps[0] != known_dist) {
                cout << "No" << endl;
                return;
            }
            known_dist = v[i].ps[1] - v[i].ps[0];
        }
    }

//    if (n <= 8) {
//
//        vector<ll> ind(n);
//        for (int i = 0; i < n; ++i) {
//            ind[i] = i;
//        }
//
//        do {
//            ll offset = 0;
//            vector<ll> psv;
//            for (auto i: ind) {
//                for (auto p: v[i].ps) {
//                    psv.push_back(offset + p);
//                }
//
//                offset += v[i].size;
//            }
//
//            bool ok = false;
//            if (psv.size() < 2) {
//                ok = true;
//            } else {
//                ll dist = psv[1] - psv[0];
//                bool ok2 = true;
//                for (ll i = 1; i < psv.size(); ++i) {
//                    if (psv[i] - psv[i - 1] != dist) {
//                        ok2 = false;
//                        break;
//                    }
//                }
//                ok = ok2;
//            }
//
//            if (ok) {
//                cout << "Yes" << endl;
//                for (auto i: ind) {
//                    cout << i + 1 << ' ';
//                }
//                cout << endl;
//                return;
//            }
//        } while (next_permutation(ind.begin(), ind.end()));
//
//        cout << "No" << endl;
//    } else
    if (known_dist) {
        multimap<ll, ll> ind_by_beg_offset;
        multimap<ll, ll> ind_by_end_offset;

        for (ll i = 1; i < n; ++i) {
            ind_by_beg_offset.insert({v[i].ps.front(), i});
            ind_by_end_offset.insert({v[i].size - v[i].ps.back(), i});
        }

        deque<ll> inds = {0};

        ll left = n - 1;
        ll cur_beg = v[0].ps.front();
        ll cur_end = v[0].size - v[0].ps.back();
        set<ll> taken_inds;
        // --->
        {
            auto ptr = ind_by_beg_offset.end();
            while ((ptr = ind_by_beg_offset.find(known_dist - cur_end)) != ind_by_beg_offset.end()) {
                if (taken_inds.count(ptr->second)) {
                    ind_by_beg_offset.erase(ptr);
                    continue;
                }
                taken_inds.insert(ptr->second);

                cur_end = v[ptr->second].size - v[ptr->second].ps.back();
                inds.push_back(ptr->second);
                ind_by_beg_offset.erase(ptr);
                --left;
            }
        }
        {
            auto ptr = ind_by_end_offset.end();
            while ((ptr = ind_by_end_offset.find(known_dist - cur_beg)) != ind_by_end_offset.end()) {
                if (taken_inds.count(ptr->second)) {
                    ind_by_end_offset.erase(ptr);
                    continue;
                }
                taken_inds.insert(ptr->second);

                cur_beg = v[ptr->second].ps.front();
                inds.push_front(ptr->second);
                ind_by_end_offset.erase(ptr);
                --left;
            }
        }

        if (left == 0) {
            cout << "Yes" << endl;
            for (auto i: inds) {
                cout << i + 1 << ' ';
            }
            cout << endl;
        } else {
            cout << "No" << endl;
        }
    }
}