#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

void solve();

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll case_count = 1;
//    cin >> case_count;
    while (case_count--) solve();
}

// ---

typedef vector<vector<ll>> graph_t;
typedef pair<ll, ll> edge_t;

ll n, m, c;

auto find_incorrect(const graph_t &graph) -> edge_t {
    static ll saved_i = 0;
    static ll saved_j = 0;
    ll saved_i2 = saved_i;
    ll saved_j2 = saved_j;
    for (int i = saved_i2; i < n; ++i) {
        saved_i = i;
        for (int j = saved_j2; j < m; ++j) {
            saved_j = j;
            for (int ii = 0; ii < n; ++ii) {
                for (int jj = 0; jj < m; ++jj) {
                    if (i == ii or j == jj) continue;
                    ll color = graph[i][j];
                    if (graph[i][jj] == color and graph[ii][j] == color and graph[ii][jj] == color) return edge_t{i, j};
                }
            }
        }
    }

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < m; ++j) {
            if (graph[i][j] == 0) return edge_t{i, j};
            for (int ii = i + 1; ii < n; ++ii) {
                for (int jj = j + 1; jj < m; ++jj) {
                    ll color = graph[i][j];
                    if (graph[i][jj] == color and graph[ii][j] == color and graph[ii][jj] == color) return edge_t{i, j};
                }
            }
        }
    }

    return edge_t{-1, -1};
}

void solve() {
    cin >> n >> m >> c;
    ll count = 2;
    auto graph = graph_t(n, vector<ll>(m, 0));
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < m; ++j) {
            graph[i][j] = (((count++) + i) % c) + 1;
        }
    }
    edge_t incorrect_edge;
    while ((incorrect_edge = find_incorrect(graph)) != edge_t{-1, -1}) {
        graph[incorrect_edge.first][incorrect_edge.second] = (count++ % c) + 1;  // ну без рандома наверное надо...
    }

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < m; ++j) {
            cout << graph[i][j] << ' ';
        }
        cout << endl;
    }
}