#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

void solve();

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll case_count = 1;
//    cin >> case_count;
    while (case_count--) solve();
}

// ---

struct info {
    bool has_tr = false;
    bool need_tr = false;
};

ll num(char c) {
    return c - '0';
}

void solve() {
    ll n;
    string a, b, c;
    cin >> a >> b >> c;
    n = a.size();

    if (n <= 6) {
        vector<ll> indices(n);
        for (int i = 0; i < n; ++i) {
            indices[i] = i;
        }

        ll cnt = 0;
        do {
            string aa;
            aa.resize(n);
            for (int i = 0; i < n; ++i) {
                aa[i] = a[indices[i]];
            }
            string bb;
            bb.resize(n);
            for (int i = 0; i < n; ++i) {
                bb[i] = b[indices[i]];
            }
            string cc;
            cc.resize(n);
            for (int i = 0; i < n; ++i) {
                cc[i] = c[indices[i]];
            }
            if (aa.front() == '0') continue;
            if (bb.front() == '0') continue;
            if (cc.front() == '0') continue;
            ll aaa = atoll(aa.c_str());
            ll bbb = atoll(bb.c_str());
            ll ccc = atoll(cc.c_str());

            if (aaa + bbb == ccc) {
                cnt = (cnt + 1) % (1000000007);

//            cout << "success:" << endl;
//            cout << aa << endl;
//            cout << bb << endl;
//            cout << cc << endl;
            }
        } while (next_permutation(indices.begin(), indices.end()));

        cout << cnt << endl;

    }
        //
    else {
        ll cnt_00 = 0;
        ll cnt_01 = 0;
        ll cnt_10 = 0;
        ll cnt_11 = 0;

        vector<info> infos(n);
        for (int i = 0; i < n; ++i) {
            ll ab = num(a[i]) + num(b[i]);
            ll cc = num(c[i]);
            if (ab == cc) {
                ++cnt_00;
                infos[i].has_tr = false;
                infos[i].need_tr = false;
            } else if (ab + 1 == cc) {
                ++cnt_01;
                infos[i].has_tr = false;
                infos[i].need_tr = true;
            } else if (ab == cc + 10) {
                ++cnt_10;
                infos[i].has_tr = true;
                infos[i].need_tr = false;
            } else if (ab + 1 == cc + 10) {
                ++cnt_11;
                infos[i].has_tr = true;
                infos[i].need_tr = true;
            } else {
                // invalid
                cout << 0 << endl;
                return;
            }
        }

        // - начать надо с 00 или 01
        if (cnt_00 == 0 and cnt_01 == 0) {
            cout << 0 << endl;
            return;
        }

        // - после каждого xy идет yz (или конец числа), отсюда
        //   количество 01 + 11 отличается от количества 10 + 11 не более чем на 1
        if (abs(cnt_01 - cnt_10) > 1) {
            cout << 0 << endl;
            return;
        }

        ll result = 0;

        // ура комба ура ура давай ура
        auto fact = [](ll n) -> ll {
            ll res = 1;
            for (int i = 1; i <= n; ++i) {
                res = (res * i) % 1000000007;
            }
            return res;
        };

        auto C = [&fact](ll n, ll k) -> ll {
            return fact(n) / (fact(k) * fact(n - k)) % 1000000007;
        };

        // - вариант 1, начинаем с 01:
        //   ~~ после него идет 10 или 11, а после них 00 или 01, 10 или 11 соответственно... а потом...
        //   давайте раскидаем сначала только 01 и 10, очевидно тут только 2? (или один способ, если кого-то больше)
        result = (cnt_01 == cnt_10 ? 2 : 1);
        //   теперь надо раскидать 11 и 00 в промежутки
        // 11: (после 01)
        result = result * C(cnt_01, cnt_11) % 1000000007;
        // 00: (после 10)
        result = result * C(cnt_10, cnt_00) % 1000000007;

        // а теперь умножаем ответ на c01! * c10! потому что можем переставить
        result = result * fact(cnt_01) % 1000000007;
        result = result * fact(cnt_10) % 1000000007;

        cout << result << endl;
    }
}