#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

inline /*__fastcall*/ void solve();

ll g_case_count = 1;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cout.setf(ios::fixed);
    cout.precision(10);

    ll case_count = 1;
//    cin >> case_count;
    g_case_count = case_count;
    while (case_count--)
        solve();
}


// -----

bool ischr(char c) {
    return c == 'A' or c == 'G' or c == 'C' or c == 'T';
}

struct Block {
    ll offset = 0;
    ll index = -1;
    ll size = 0;
    char sym = 0;

    void reset(ll offset_in) {
        offset = offset_in;
        index = -1;
        size = 0;
        sym = 0;
    }
};

struct Ans {
    ll type = 0;
    ll x = 0;
    char z = 0;
    ll helpful = 0;
};

ll isize10(ll n) {
    return log10(n) + 1;
}

ll firstnum(ll n) {
    while (n > 9) {
        n /= 10;
    }
    return n;
}

ll secondnum(ll n) {
    while (n > 99) {
        n /= 10;
    }
    return n % 10;
}

ll pow10(ll n) {
    ll res = 1;
    for (int i = 0; i < n; ++i) {
        res *= 10;
    }
    return res;
}

#define INSERT 1
#define REMOVE 2
#define REPLACE 3

void solve() {
//    cout << isize10(1) << endl;
//    cout << isize10(9) << endl;
//    cout << isize10(99) << endl;
//    cout << isize10(100) << endl;
//    cout << isize10(1001) << endl;
//

    vector<Block> blocks;

    string s;
    cin >> s;

    string cntstr;
    ll offset = 0;

    Block current;
    for (char c: s) {
        if (ischr(c)) {
            if (current.sym == 0) {
                current.sym = c;
                if (cntstr.empty()) {
                    cntstr = "1";
                }
            } else {
                current.size = atoll(cntstr.c_str());
                current.index = blocks.size();
                blocks.push_back(current);
                current.reset(offset += current.size);
                cntstr.clear();

                current.sym = c;
                cntstr = "1";
            }
        } else {
            if (current.sym == 0) {
                cntstr.push_back(c);
            } else {
                current.size = atoll(cntstr.c_str());
                current.index = blocks.size();
                blocks.push_back(current);
                current.reset(offset += current.size);
                cntstr.clear();

                cntstr.push_back(c);
            }
        }
    }
    current.size = atoll(cntstr.c_str());
    current.index = blocks.size();
    blocks.push_back(current);
    current.reset(s.size());
    cntstr.clear();

//    asm("int3");
    // урааа оно умеет парсить ввод

    Ans amin, amax;
    amin.helpful = -1;
    amax.helpful = 1;
    amax.type = INSERT;
    amax.x = blocks.back().offset + blocks.back().size - 1;
    amax.z = (blocks.back().sym == 'A' ? 'C' : 'A');
    for (auto blk: blocks) {
        // --- minimum
        if (blk.size == 1 and blk.index != 0 and blk.index != blocks.size() - 1
            /**/    and blocks[blk.index - 1].sym == blocks[blk.index + 1].sym) {
            Ans temp;
            temp.type = REPLACE;
            temp.x = blk.offset;
            temp.z = blocks[blk.index - 1].sym;
            temp.helpful = isize10(blocks[blk.index - 1].size) + 1 + 1 + isize10(blocks[blk.index + 1].size) + 1
                           - (isize10(blocks[blk.index - 1].size + blocks[blk.index + 1].size + 1) + 1);
            if (temp.helpful > amin.helpful) {
                amin = temp;
            }
        }
        if (blk.size == 1) {
            Ans temp;
            temp.type = REMOVE;
            temp.x = blk.offset;
            temp.helpful = 1;
            if (temp.helpful > amin.helpful) {
                amin = temp;
            }
        }
        {
            Ans temp;
            temp.type = REMOVE;
            temp.x = blk.offset;
            temp.helpful = isize10(blk.size) - isize10(blk.size - 1);
            if (temp.helpful > amin.helpful) {
                amin = temp;
            }
        }


        // --- maximum
        if (blk.size > 1) {
            Ans temp;
            temp.type = INSERT;
            temp.x = blk.offset + blk.size / 2 - 1;
            temp.z = (blk.sym == 'A' ? 'C' : 'A');
            Ans temp2 = temp;
            if (blk.size == 2) {
                temp.helpful = 1;
            } else if (blk.size == 3) {
                temp.helpful = 2;
            } else {
                ll fst = firstnum(blk.size);
                ll snd = secondnum(blk.size);
//                cout << "fst: " << fst << ", snd: " << snd << endl;
                ll isz = isize10(blk.size);
                temp2.x = blk.offset + pow10(isz - 1) - 1;
                temp2.helpful = (isz + 1 + 1 + (isz - 1) + 1)
                                - (isize10(blk.size) + 1);
                temp.helpful = isize10(blk.size / 2) + 1 + 1 + isize10(blk.size - blk.size / 2) + 1
                               - (isize10(blk.size) + 1);
            }
            if (temp.helpful > amax.helpful) {
                amax = temp;
            }
            if (temp2.helpful > amax.helpful) {
                amax = temp2;
            }
//            cout << blk.size << " : " << blk.size / 2 << " + " << blk.size - blk.size / 2 << endl;
//            cout << temp.helpful << endl;
        }
    }

    cout << amin.type << ' ' << amin.x + 1;
    if (amin.type != REMOVE) {
        cout << ' ' << amin.z;
    }
    cout << endl;

    cout << amax.type << ' ' << amax.x + 1;
    if (amax.type != REMOVE) {
        cout << ' ' << amax.z;
    }
    cout << endl;
}